NFE(4)

NAME
nfe - NVIDIA nForce MCP 10/100/Gigabit Ethernet device

SYNOPSIS
nfe* at pci?
atphy* at mii?
brgphy* at mii?
ciphy* at mii?
eephy* at mii?
icsphy* at mii?
rgephy* at mii?
rlphy* at mii?

DESCRIPTION
The nfe driver supports Fast Ethernet and Gigabit Ethernet adapters based on the NVIDIA nForce Media and Communications Processors (MCP), the nForce, nForce 2, nForce 3, CK804, MCP04, MCP51, MCP55, MCP61, MCP65, MCP67, MCP73, MCP77, MCP79 and MCP89 Ethernet controller chips.

The nfe driver supports IPv4 transmit/receive IP/TCP/UDP checksum offload with the nForce 3, CK804, MCP55, MCP77, MCP79 and MCP89 chipsets and VLAN tag insertion and stripping with the MCP55 chipset.

The nfe driver additionally supports Wake on LAN (WoL). See arp(8) and ifconfig(8) for more details.

The nfe driver supports the following media types:

autoselect
    Enable autoselection of the media type and options.
10baseT
    Set 10Mbps operation.
100baseTX
    Set 100Mbps (Fast Ethernet) operation.
1000baseT
    Set 1000Mbps (Gigabit Ethernet) operation (recent models only).

SEE ALSO
arp(4), atphy(4), brgphy(4), ciphy(4), eephy(4), icsphy(4), ifmedia(4), intro(4), netintro(4), pci(4), rgephy(4), rlphy(4), hostname.if(5), ifconfig(8)

HISTORY
The nfe device driver first appeared in OpenBSD 3.9.

AUTHORS
-nosplit The nfe driver was written by Jonathan Gray <jsg@openbsd.org> and Damien Bergamini <damien@openbsd.org>.

CAVEATS
NVIDIA refuse to release any documentation on their products.